/// <reference types="react" />
import type { JSX } from '@db-ui/elements-enterprise';
export declare const DbAccordion: import("react").ForwardRefExoticComponent<JSX.DbAccordion & Omit<import("react").HTMLAttributes<HTMLDbAccordionElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbAccordionElement>>;
export declare const DbBrand: import("react").ForwardRefExoticComponent<JSX.DbBrand & Omit<import("react").HTMLAttributes<HTMLDbBrandElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbBrandElement>>;
export declare const DbBreadcrumb: import("react").ForwardRefExoticComponent<JSX.DbBreadcrumb & Omit<import("react").HTMLAttributes<HTMLDbBreadcrumbElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbBreadcrumbElement>>;
export declare const DbButton: import("react").ForwardRefExoticComponent<JSX.DbButton & Omit<import("react").HTMLAttributes<HTMLDbButtonElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbButtonElement>>;
export declare const DbCard: import("react").ForwardRefExoticComponent<JSX.DbCard & Omit<import("react").HTMLAttributes<HTMLDbCardElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbCardElement>>;
export declare const DbCards: import("react").ForwardRefExoticComponent<JSX.DbCards & Omit<import("react").HTMLAttributes<HTMLDbCardsElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbCardsElement>>;
export declare const DbCheckbox: import("react").ForwardRefExoticComponent<JSX.DbCheckbox & Omit<import("react").HTMLAttributes<HTMLDbCheckboxElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbCheckboxElement>>;
export declare const DbChip: import("react").ForwardRefExoticComponent<JSX.DbChip & Omit<import("react").HTMLAttributes<HTMLDbChipElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbChipElement>>;
export declare const DbDropdown: import("react").ForwardRefExoticComponent<JSX.DbDropdown & Omit<import("react").HTMLAttributes<HTMLDbDropdownElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbDropdownElement>>;
export declare const DbFooter: import("react").ForwardRefExoticComponent<JSX.DbFooter & Omit<import("react").HTMLAttributes<HTMLDbFooterElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbFooterElement>>;
export declare const DbHeader: import("react").ForwardRefExoticComponent<JSX.DbHeader & Omit<import("react").HTMLAttributes<HTMLDbHeaderElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbHeaderElement>>;
export declare const DbHeadline: import("react").ForwardRefExoticComponent<JSX.DbHeadline & Omit<import("react").HTMLAttributes<HTMLDbHeadlineElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbHeadlineElement>>;
export declare const DbIcon: import("react").ForwardRefExoticComponent<JSX.DbIcon & Omit<import("react").HTMLAttributes<HTMLDbIconElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbIconElement>>;
export declare const DbImage: import("react").ForwardRefExoticComponent<JSX.DbImage & Omit<import("react").HTMLAttributes<HTMLDbImageElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbImageElement>>;
export declare const DbInput: import("react").ForwardRefExoticComponent<JSX.DbInput & Omit<import("react").HTMLAttributes<HTMLDbInputElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbInputElement>>;
export declare const DbLanguageSwitcher: import("react").ForwardRefExoticComponent<JSX.DbLanguageSwitcher & Omit<import("react").HTMLAttributes<HTMLDbLanguageSwitcherElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbLanguageSwitcherElement>>;
export declare const DbLink: import("react").ForwardRefExoticComponent<JSX.DbLink & Omit<import("react").HTMLAttributes<HTMLDbLinkElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbLinkElement>>;
export declare const DbLinklist: import("react").ForwardRefExoticComponent<JSX.DbLinklist & Omit<import("react").HTMLAttributes<HTMLDbLinklistElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbLinklistElement>>;
export declare const DbLogo: import("react").ForwardRefExoticComponent<JSX.DbLogo & Omit<import("react").HTMLAttributes<HTMLDbLogoElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbLogoElement>>;
export declare const DbMainnavigation: import("react").ForwardRefExoticComponent<JSX.DbMainnavigation & Omit<import("react").HTMLAttributes<HTMLDbMainnavigationElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbMainnavigationElement>>;
export declare const DbMeta: import("react").ForwardRefExoticComponent<JSX.DbMeta & Omit<import("react").HTMLAttributes<HTMLDbMetaElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbMetaElement>>;
export declare const DbMetanavigation: import("react").ForwardRefExoticComponent<JSX.DbMetanavigation & Omit<import("react").HTMLAttributes<HTMLDbMetanavigationElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbMetanavigationElement>>;
export declare const DbNotification: import("react").ForwardRefExoticComponent<JSX.DbNotification & Omit<import("react").HTMLAttributes<HTMLDbNotificationElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbNotificationElement>>;
export declare const DbNotifications: import("react").ForwardRefExoticComponent<JSX.DbNotifications & Omit<import("react").HTMLAttributes<HTMLDbNotificationsElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbNotificationsElement>>;
export declare const DbOverflowMenu: import("react").ForwardRefExoticComponent<JSX.DbOverflowMenu & Omit<import("react").HTMLAttributes<HTMLDbOverflowMenuElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbOverflowMenuElement>>;
export declare const DbPage: import("react").ForwardRefExoticComponent<JSX.DbPage & Omit<import("react").HTMLAttributes<HTMLDbPageElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbPageElement>>;
export declare const DbPagination: import("react").ForwardRefExoticComponent<JSX.DbPagination & Omit<import("react").HTMLAttributes<HTMLDbPaginationElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbPaginationElement>>;
export declare const DbProgress: import("react").ForwardRefExoticComponent<JSX.DbProgress & Omit<import("react").HTMLAttributes<HTMLDbProgressElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbProgressElement>>;
export declare const DbRadio: import("react").ForwardRefExoticComponent<JSX.DbRadio & Omit<import("react").HTMLAttributes<HTMLDbRadioElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbRadioElement>>;
export declare const DbSelect: import("react").ForwardRefExoticComponent<JSX.DbSelect & Omit<import("react").HTMLAttributes<HTMLDbSelectElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbSelectElement>>;
export declare const DbSidenavi: import("react").ForwardRefExoticComponent<JSX.DbSidenavi & Omit<import("react").HTMLAttributes<HTMLDbSidenaviElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbSidenaviElement>>;
export declare const DbTab: import("react").ForwardRefExoticComponent<JSX.DbTab & Omit<import("react").HTMLAttributes<HTMLDbTabElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbTabElement>>;
export declare const DbTabBar: import("react").ForwardRefExoticComponent<JSX.DbTabBar & Omit<import("react").HTMLAttributes<HTMLDbTabBarElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbTabBarElement>>;
export declare const DbTable: import("react").ForwardRefExoticComponent<JSX.DbTable & Omit<import("react").HTMLAttributes<HTMLDbTableElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbTableElement>>;
export declare const DbTag: import("react").ForwardRefExoticComponent<JSX.DbTag & Omit<import("react").HTMLAttributes<HTMLDbTagElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbTagElement>>;
export declare const DbTextarea: import("react").ForwardRefExoticComponent<JSX.DbTextarea & Omit<import("react").HTMLAttributes<HTMLDbTextareaElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbTextareaElement>>;
export declare const DbToggle: import("react").ForwardRefExoticComponent<JSX.DbToggle & Omit<import("react").HTMLAttributes<HTMLDbToggleElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLDbToggleElement>>;
export declare const GithubVersionSwitcher: import("react").ForwardRefExoticComponent<JSX.GithubVersionSwitcher & Omit<import("react").HTMLAttributes<HTMLGithubVersionSwitcherElement>, "style"> & import("./react-component-lib/interfaces").StyleReactProps & import("react").RefAttributes<HTMLGithubVersionSwitcherElement>>;
